﻿@{
    ViewData["Title"] = "DSIELAB - Grupo Red: Test";
}
@model DSIELABGRMVCTest.Models.FormDataViewModel;

<div class="text-center">
    <h1 class="display-4 mb-4">Bienvenido</h1>
    <h3 class="mb-4 mt-4">Este es un test para la empresa <a href="https://grupored.com.mx">Grupo Red</a>, desarrollado por el Grupo <a href="https://dsielab.com">DSIELAB</a>.</h3>

    <p class="mb-4 mt-4 text-default">
        Usted debe rellenar el siguiente formulario para obtener algunos datos importantes para su aplicación.<br>
        Cada dato será validado correspondientemente depediendo de determinadas reglas. Por favor lea detenidamente los datos a introducir. Estos datos no serán usados con un proposito diferente ni registrados en el sistema
    </p>
	
	<p class="mb-4 text-danger">Los campos marcados con (<span class="text-danger">*</span>) son obligatorios.</p>
</div>
<div class="text-left">
	<div class="row">
		<div class="col-md-12">
			<form class="needs-validation" id="main-form-page" method="post" asp-action="Index">
                <div asp-validation-summary="ModelOnly" class="alert alert-danger"></div>
				<legend>Datos personales</legend>
				<hr class="mb-3">
				<div class="row mb-4">
					<div class="col-md-6 mb-3">
						<label asp-for="Name">Nombre<span class="text-danger">*</span></label>
						<input type="text" class="form-control" name="Name" placeholder="Escriba el nombre" value="@Model.Name"/>
                        <span asp-validation-for="Name" class="text-danger"></span>
					</div>
					<div class="col-md-6 mb-3">
						<label asp-for="LastName">Apellido<span class="text-danger">*</span></label>
						<input type="text" class="form-control" name="LastName" placeholder="Escriba el apellido" value="@Model.LastName"/>
                        <span asp-validation-for="LastName" class="text-danger"></span>
					</div>
					<div class="col-md-6 mb-3">
						<label asp-for="BirthDate">Fecha de nacimiento<span class="text-danger">*</span></label>
						<input type="text" class="form-control" name="BirthDate" placeholder="dd/mm/yyyy"/>
                        <span asp-validation-for="BirthDate" class="text-danger"></span>
					</div>
				</div> 	
				<legend>Datos específicos</legend>
				<hr class="mb-3">
				<div class="row mb-4">
					<div class="col-md-6 mb-3">
						<label asp-for="Amount">Monto (moneda)<span class="text-danger">*</span></label>
						<input type="number" class="form-control" name="Amount" placeholder="0" max="50000" min="0" value="@Model.Amount"/>
                        <span asp-validation-for="Amount" class="text-danger"></span>
					</div>
					<div class="col-md-6 mb-3">
						<label asp-for="Risk">Riesgo<span class="text-danger">*</span></label>
						<select name="Risk" class="form-control" value="@Model.Risk">
							<option selected value="-1">Seleccione</option>
							<option value="0">Bajo</option>
							<option value="1">Medio</option>
							<option value="2">Alto</option>
						</select>
                        <span asp-validation-for="Risk" class="text-danger"></span>
					</div>
					<div class="col-md-12 mb-3">
						<label asp-for="Observations">Observaciones<span class="text-danger">*</span></label>
						<textarea class="form-control" name="Observations" placeholder="Escriba la observaciones. Al menos 50 caracteres y no más de 250">@Model.Observations</textarea>
                        <span asp-validation-for="Observations" class="text-danger"></span>
					</div>
				</div>
                <legend>Datos de contacto</legend>
				<hr class="mb-3">		
				<h5 class="mb-3">Domicilio</h5>
				<div class="row mb-4">
					<div class="col-md-12 mb-3">
						<label asp-for="Street">Calle</label>
						<input type="text" class="form-control" name="Street" placeholder="Escriba la calle" value="@Model.Street"/>
                        <span asp-validation-for="Street" class="text-danger"></span>
					</div>
					<div class="col-md-4 mb-3">
						<label asp-for="IntNumber">No. int.</label>
						<input type="number" class="form-control" name="IntNumber" placeholder="Escriba número int." value="@Model.IntNumber"/>
                        <span asp-validation-for="IntNumber" class="text-danger"></span>
					</div>
					<div class="col-md-4 mb-3">
						<label asp-for="ExNumber">No. ex.</label>
						<input type="number" class="form-control" name="ExNumber" placeholder="Escriba número ex." value="@Model.ExNumber"/>
                        <span asp-validation-for="ExNumber" class="text-danger"></span>
					</div>
					<div class="col-md-4 mb-3">
						<label asp-for="Colony">Colonia</label>
						<input type="text" class="form-control" name="Colony" placeholder="Escriba colonia" value="@Model.Colony"/>
                        <span asp-validation-for="Colony" class="text-danger"></span>
					</div>
					<div class="col-md-4 mb-3">
						<label asp-for="Country">País</label>
                        <select name="Country" class="form-control"  value="@Model.Country">
                            <option value="1">Alemania</option>
                            <option value="2">Austria</option>
                            <option value="3">Bélgica</option>
                            <option value="4">Canadá</option>
                            <option value="5">China</option>
                            <option value="6">España</option>
                            <option value="7">Finlandia</option>
                            <option value="8">Francia</option>
                            <option value="9">Grecia</option>
                            <option value="10">Italia</option>
                            <option value="11">Japón</option>
                            <option value="12">Luxemburgo</option>
                            <option value="13">Países Bajos</option>
                            <option value="14">Polonia</option>
                            <option value="15">Portugal</option>
                            <option value="16">República Checa</option>
                            <option value="17">Reino Unido</option>
                            <option value="18">Suecia</option>
                            <option value="19">Suiza</option>
                            <option value="20">Dinamarca</option>
                            <option value="21">Estados Unidos</option>
                            <option value="22">RAE De Hong Kong (China)</option>
                            <option value="23">Noruega</option>
                            <option value="24">Australia</option>
                            <option value="25">Singapur</option>
                            <option value="26">Irlanda</option>
                            <option value="27">Nueva Zelanda</option>
                            <option value="28">Corea Del Sur</option>
                            <option value="29">Israel</option>
                            <option value="30">Sudáfrica</option>
                            <option value="31">Nigeria</option>
                            <option value="32">Costa De Marfil</option>
                            <option value="33">Togo</option>
                            <option value="34">Bolivia</option>
                            <option value="35">Mauricio</option>
                            <option value="36">Rumanía</option>
                            <option value="37">Eslovaquia</option>
                            <option value="38">Argelia</option>
                            <option value="39">Samoa Americana</option>
                            <option value="40">Andorra</option>
                            <option value="41">Angola</option>
                            <option value="42">Anguila</option>
                            <option value="43">Antigua Y Barbuda</option>
                            <option value="44">Argentina</option>
                            <option value="45">Armenia</option>
                            <option value="46">Aruba</option>
                            <option value="47">Azerbaiyán</option>
                            <option value="48">Bahamas</option>
                            <option value="49">Baréin</option>
                            <option value="50">Bangladés</option>
                            <option value="51">Barbados</option>
                            <option value="52">Bielorrusia</option>
                            <option value="53">Belice</option>
                            <option value="54">Benín</option>
                            <option value="55">Bermudas</option>
                            <option value="56">Bután</option>
                            <option value="57">Botsuana</option>
                            <option value="58">Brasil</option>
                            <option value="59">Brunéi</option>
                            <option value="60">Burkina Faso</option>
                            <option value="61">Myanmar (Birmania)</option>
                            <option value="62">Burundi</option>
                            <option value="63">Camboya</option>
                            <option value="64">Camerún</option>
                            <option value="65">Cabo Verde</option>
                            <option value="66">República Centroafricana</option>
                            <option value="67">Chad</option>
                            <option value="68">Chile</option>
                            <option value="69">Colombia</option>
                            <option value="70">Comoras</option>
                            <option value="71">República Democrática Del Congo</option>
                            <option value="72">República Del Congo</option>
                            <option value="73">Costa Rica</option>
                            <option value="74">Croacia</option>
                            <option value="75">Cuba</option>
                            <option value="76">Chipre</option>
                            <option value="77">Yibuti</option>
                            <option value="78">Dominica</option>
                            <option value="79">República Dominicana</option>
                            <option value="80">Timor Oriental</option>
                            <option value="81">Ecuador</option>
                            <option value="82">Egipto</option>
                            <option value="83">El Salvador</option>
                            <option value="84">Guinea Ecuatorial</option>
                            <option value="85">Eritrea</option>
                            <option value="86">Estonia</option>
                            <option value="87">Etiopía</option>
                            <option value="88">Islas Malvinas</option>
                            <option value="89">Islas Feroe</option>
                            <option value="90">Fiyi</option>
                            <option value="91">Gabón</option>
                            <option value="92">Gambia</option>
                            <option value="93">Georgia</option>
                            <option value="94">Ghana</option>
                            <option value="95">Granada</option>
                            <option value="96">Groenlandia</option>
                            <option value="97">Gibraltar</option>
                            <option value="98">Guadalupe</option>
                            <option value="99">Guam</option>
                            <option value="100">Guatemala</option>
                            <option value="101">Guernesey</option>
                            <option value="102">Guinea</option>
                            <option value="103">Guinea-Bisáu</option>
                            <option value="104">Guyana</option>
                            <option value="105">Haití</option>
                            <option value="106">Islas Heard Y McDonald</option>
                            <option value="107">Ciudad Del Vaticano</option>
                            <option value="108">Honduras</option>
                            <option value="109">Islandia</option>
                            <option value="110">India</option>
                            <option value="111">Indonesia</option>
                            <option value="112">Irán</option>
                            <option value="113">Iraq</option>
                            <option value="114">Isla De Man</option>
                            <option value="115">Jamaica</option>
                            <option value="116">Jersey</option>
                            <option value="117">Jordania</option>
                            <option value="118">Kazajistán</option>
                            <option value="119">Kenia</option>
                            <option value="120">Kiribati</option>
                            <option value="121">Corea Del Norte</option>
                            <option value="122">Kuwait</option>
                            <option value="123">Kirguistán</option>
                            <option value="124">Laos</option>
                            <option value="125">Letonia</option>
                            <option value="126">Líbano</option>
                            <option value="127">Lesoto</option>
                            <option value="128">Liberia</option>
                            <option value="129">Libia</option>
                            <option value="130">Liechtenstein</option>
                            <option value="131">Lituania</option>
                            <option value="132">RAE De Macao (China)</option>
                            <option value="133">Macedonia</option>
                            <option value="134">Madagascar</option>
                            <option value="135">Malaui</option>
                            <option value="136">Malasia</option>
                            <option value="137">Maldivas</option>
                            <option value="138">Mali</option>
                            <option value="139">Malta</option>
                            <option value="140">Islas Marshall</option>
                            <option value="141">Martinica</option>
                            <option value="142">Mauritania</option>
                            <option value="143">Hungría</option>
                            <option value="144">Mayotte</option>
                            <option value="145" selected>México</option>
                            <option value="146">Micronesia</option>
                            <option value="147">Moldavia</option>
                            <option value="148">Mónaco</option>
                            <option value="149">Mongolia</option>
                            <option value="150">Montenegro</option>
                            <option value="151">Montserrat</option>
                            <option value="152">Marruecos</option>
                            <option value="153">Mozambique</option>
                            <option value="154">Namibia</option>
                            <option value="155">Nauru</option>
                            <option value="156">Nepal</option>
                            <option value="157">Antillas Neerlandesas</option>
                            <option value="158">Nueva Caledonia</option>
                            <option value="159">Nicaragua</option>
                            <option value="160">Níger</option>
                            <option value="161">Isla Niue</option>
                            <option value="162">Isla Norfolk</option>
                            <option value="163">Islas Marianas Del Norte</option>
                            <option value="164">Omán</option>
                            <option value="165">Pakistán</option>
                            <option value="166">Palau</option>
                            <option value="167">Territorios Palestinos</option>
                            <option value="168">Panamá</option>
                            <option value="169">Papúa Nueva Guinea</option>
                            <option value="170">Paraguay</option>
                            <option value="171">Perú</option>
                            <option value="172">Filipinas</option>
                            <option value="173">Islas Pitcairn</option>
                            <option value="174">Puerto Rico</option>
                            <option value="175">Catar</option>
                            <option value="176">Reunión</option>
                            <option value="177">Rusia</option>
                            <option value="178">Ruanda</option>
                            <option value="179">San Bartolomé</option>
                            <option value="180">San Cristóbal Y Nieves</option>
                            <option value="181">Santa Lucía</option>
                            <option value="182">San Martín</option>
                            <option value="183">San Pedro Y Miquelón</option>
                            <option value="184">San Vicente Y Las Granadinas</option>
                            <option value="185">Samoa</option>
                            <option value="186">San Marino</option>
                            <option value="187">Santo Tomé Y Príncipe</option>
                            <option value="188">Arabia Saudí</option>
                            <option value="189">Senegal</option>
                            <option value="190">Serbia</option>
                            <option value="191">Seychelles</option>
                            <option value="192">Sierra Leona</option>
                            <option value="193">Eslovenia</option>
                            <option value="194">Islas Salomón</option>
                            <option value="195">Somalia</option>
                            <option value="196">Islas Georgia Del Sur Y Sandwich Del Sur</option>
                            <option value="197">Sri Lanka</option>
                            <option value="198">Sudán</option>
                            <option value="199">Surinam</option>
                            <option value="200">Svalbard Y Jan Mayen</option>
                            <option value="201">Suazilandia</option>
                            <option value="202">Siria</option>
                            <option value="203">Taiwán</option>
                            <option value="204">Tayikistán</option>
                            <option value="205">Tanzania</option>
                            <option value="206">Tailandia</option>
                            <option value="207">Tokelau</option>
                            <option value="208">Tonga</option>
                            <option value="209">Trinidad Y Tobago</option>
                            <option value="210">Túnez</option>
                            <option value="211">Turquía</option>
                            <option value="212">Turkmenistán</option>
                            <option value="213">Islas Turcas Y Caicos</option>
                            <option value="214">Tuvalu</option>
                            <option value="215">Uganda</option>
                            <option value="216">Ucrania</option>
                            <option value="217">Emiratos Árabes Unidos</option>
                            <option value="218">Uruguay</option>
                            <option value="219">Uzbekistán</option>
                            <option value="220">Vanuatu</option>
                            <option value="221">Venezuela</option>
                            <option value="222">Vietnam</option>
                            <option value="223">Islas Vírgenes Británicas</option>
                            <option value="224">Islas Vírgenes De EE. UU.</option>
                            <option value="225">Wallis Y Futuna</option>
                            <option value="226">Sáhara Occidental</option>
                            <option value="227">Yemen</option>
                            <option value="228">Zambia</option>
                            <option value="229">Zimbabue</option>
                            <option value="230">Albania</option>
                            <option value="231">Afganistán</option>
                            <option value="232">Antártida</option>
                            <option value="233">Bosnia-Herzegovina</option>
                            <option value="234">Isla Bouvet</option>
                            <option value="235">Territorio Británico Del Océano Índico</option>
                            <option value="236">Bulgaria</option>
                            <option value="237">Islas Caimán</option>
                            <option value="238">Isla Christmas</option>
                            <option value="239">Islas Cocos</option>
                            <option value="240">Islas Cook</option>
                            <option value="241">Guayana Francesa</option>
                            <option value="242">Polinesia Francesa</option>
                            <option value="243">Territorios Australes Franceses</option>
                            <option value="244">Islas Åland</option>
                        </select>
                        <span asp-validation-for="Country" class="text-danger"></span>
					</div>
					<div class="col-md-4 mb-3">
						<label asp-for="State">Estado</label>
                        <select name="State" class="form-control" value="@Model.State">
                            <option value="1">Aguascalientes</option>
                            <option value="2">Baja California</option>
                            <option value="3">Baja California Sur</option>
                            <option value="4">Campeche</option>
                            <option value="5">Chiapas</option>
                            <option value="6">Chihuahua</option>
                            <option value="7">Coahuila</option>
                            <option value="8">Colima</option>
                            <option value="9" selected>Distrito Federal</option>
                            <option value="10">Durango</option>
                            <option value="11">Guanajuato</option>
                            <option value="12">Guerrero</option>
                            <option value="13">Hidalgo</option>
                            <option value="14">Jalisco</option>
                            <option value="15">Estado de México</option>
                            <option value="16">Michoacán</option>
                            <option value="17">Morelos</option>
                            <option value="18">Nayarit</option>
                            <option value="19">Nuevo León</option>
                            <option value="20">Oaxaca</option>
                            <option value="21">Puebla</option>
                            <option value="22">Querétaro</option>
                            <option value="23">Quintana Roo</option>
                            <option value="24">San Luis Potosí</option>
                            <option value="25">Sinaloa</option>
                            <option value="26">Sonora</option>
                            <option value="27">Tabasco</option>
                            <option value="28">Tamaulipas</option>
                            <option value="29">Tlaxcala</option>
                            <option value="30">Veracruz</option>
                            <option value="31">Yucatán</option>
                            <option value="32">Zacatecas</option>
                        </select>
                        <span asp-validation-for="State" class="text-danger"></span>
					</div>
					<div class="col-md-4 mb-3">
						<label asp-for="City">Ciudad</label>
						<input type="text" class="form-control" name="City" placeholder="Escriba ciudad" value="@Model.City"/>
                        <span asp-validation-for="City" class="text-danger"></span>
					</div>	
					<div class="col-md-6 mb-3">
						<label asp-for="Phone">Teléfono</label>
						<input type="text" class="form-control" name="Phone" placeholder="Escriba teléfono"  value="@Model.Phone"/>
                        <span asp-validation-for="Phone" class="text-danger"></span>
					</div>	 
					<div class="col-md-6 mb-3">
						<label asp-for="Email">Email</label>
						<input type="Email" class="form-control" name="Email" placeholder="Escriba email" value="@Model.Email"/>
                        <span asp-validation-for="Email" class="text-danger"></span>
					</div>   	
				</div>  
				<div class="row">
					<div class="col-12 text-right">
						<button type="submit" class="btn btn-primary">Enviar datos</button>
					</div> 
				</div>		    	
			</form>  
		</div>
	</div>      
</div>